Date range parameters

Parameters that you can include in GET date range API calls to refine results. You can include multiple query strings using an ampersand (&).

data-variant=info
data-slots=text
Adobe may add optional request and response members (name/value pairs) to existing API objects at any time and without notice or changes in versioning. Adobe recommends that you refer to the API documentation of any third-party tool you integrate with our APIs so that such additions are ignored in processing if not understood. If implemented properly, such additions are non-breaking changes for your implementation. Adobe will not remove parameters or add required parameters without first providing standard notification through release notes.

Expansion

A query string that allows you to obtain additional information around a date range. You can include multiple expansions, separated by a comma.

GET https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/dateranges?expansion=reportSuiteName,ownerFullName,modified,tags,definition

IncludeType

A query string that allows results to include additional date ranges not owned by the user.

GET https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/dateranges?includeType=all,shared,templates

filterByIds

A query string that only retrieves date ranges matching the included date range IDs. You can include multiple IDs, separated by a comma.

GET https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/dateranges?filterByIds={ID}

curatedRsid

Include the curatedItem status for a given report suite ID.

GET https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/dateranges?curatedRsid={RSID}

Locale

A query string that returns strings localized by Adobe into the desired language. This parameter typically applies to date range templates, as user-defined names and descriptions are not localized by Adobe.

GET https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/dateranges?locale=en_US

Pagination

You can paginate date range API calls so the result is not too large to use.

GET https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/dateranges?limit=10&page=2